CREATE TABLE fla_system_options_all (
    SYSTEM_OPTION_ID                  NUMBER(18, 0),
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    ORG_ID                            NUMBER(18, 0)    NOT NULL,
    LEDGER_ID                         NUMBER(18, 0)    NOT NULL,
    PRIMARY_REGIME_CODE               VARCHAR2(120)    NOT NULL,
    SECONDARY_REGIME_CODE             VARCHAR2(120),
    CALENDAR_ID                       NUMBER(18, 0),
    DEFAULT_CURRENCY_CONV_TYPE        VARCHAR2(120),
    INTEREST_METHOD_CODE              VARCHAR2(120)    NOT NULL,
    AMORTIZATION_FREQUENCY_CODE       VARCHAR2(120),
    INVENTORY_MASTER_ORG_ID           NUMBER(18, 0),
    AUTO_LEASE_NUMBER_FLAG            VARCHAR2(4)      NOT NULL,
    AUTO_ASSET_NUMBER_FLAG            VARCHAR2(4)  ,
    AUTO_PAYMENT_TERM_NUMBER_FLAG     VARCHAR2(4)  ,
    AUTO_OPTION_NUMBER_FLAG           VARCHAR2(4)  ,
    CONSOLIDATE_ADJ_ITEMS_FLAG        VARCHAR2(4)  ,
    SECONDARY_LEDGER_ID               NUMBER(18, 0),
    AP_INTEGRATION_ENABLED_FLAG       VARCHAR2(4)  ,
    LEASE_TRX_APPROVAL_FLAG           VARCHAR2(4)  ,
    LEASE_IMPORT_APPROVAL_CODE        VARCHAR2(120),
    ALLOW_PROPERTY_DEFINITION_FLAG    VARCHAR2(4)  ,
    LIABILITY_RECLASS_FLAG            VARCHAR2(4)  ,
    LIABILITY_RECLASS_FROM_DATE       DATE         ,
    ENABLE_REVENUE_LEASES_FLAG        VARCHAR2(4)  ,
    ENABLE_OPTIONS_REV_AMORT_FLAG     VARCHAR2(4)  ,
    AR_INTEGRATION_ENABLED_FLAG       VARCHAR2(4)  ,
    ENABLE_EXP_PROPERTY_VAL_CODE      VARCHAR2(120)    NOT NULL,
    ENABLE_REV_PROPERTY_VAL_CODE      VARCHAR2(120)    NOT NULL,
    PRIM_PROP_SCOPE_CHANGE_CODE       VARCHAR2(120),
    SECD_PROP_SCOPE_CHANGE_CODE       VARCHAR2(120),
    PRIM_EQUIP_SCOPE_CHANGE_CODE      VARCHAR2(120),
    SECD_EQUIP_SCOPE_CHANGE_CODE      VARCHAR2(120),
    LIABILITY_RECLASS_METHOD_CODE     VARCHAR2(120),
    REQUIRE_PROPERTY_DEFN_CODE        VARCHAR2(120)    NOT NULL,
    TAX_CLASSIFICATION_CODE           VARCHAR2(120),
    PRIMARY_INTENDED_USE_CODE         VARCHAR2(120),
    PRODUCT_CATEGORY                  VARCHAR2(960),
    PRODUCT_FISCAL_CLASSIFICATION     VARCHAR2(960),
    PRODUCT_TYPE                      VARCHAR2(960),
    TRX_BUSINESS_CATEGORY             VARCHAR2(960),
    USER_DEFINED_FISCAL_CLASS         VARCHAR2(960),
    WITHHOLDING_TAX_GROUP_ID          NUMBER(18, 0),
    DOCUMENT_SUB_TYPE                 VARCHAR2(960),
    FIRST_PTY_REG_ID                  NUMBER(18, 0),
    THIRD_PTY_REG_ID                  NUMBER(18, 0),
    TAX_INCLUDED_FLAG                 VARCHAR2(4)  ,
    UPFRONT_TAX_APPLICABLE_FLAG       VARCHAR2(4)  ,
    ENABLE_SUBLEASES_FLAG             VARCHAR2(4)  ,
    ARREARS_PAY_DT_TREATMENT_CODE     VARCHAR2(120),
    FA_INTEGRATION_REVENUE_CODE       VARCHAR2(120),
    FA_INTEGRATION_EXPENSE_CODE       VARCHAR2(120),
    AP_INTEGRATION_REVENUE_CODE       VARCHAR2(120),
    REVENUE_INV_MASTER_ORG_ID         NUMBER(18, 0),
    PRIMARY_ROU_CURR_CONV_CODE        VARCHAR2(120)    NOT NULL,
    SECONDARY_ROU_CURR_CONV_CODE      VARCHAR2(120)    NOT NULL,
    SECONDARY_OVERRIDE_CALENDAR_ID    NUMBER(18, 0),
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    ATTRIBUTE_CATEGORY                VARCHAR2(120),
    ATTRIBUTE_CHAR1                   VARCHAR2(600),
    ATTRIBUTE_CHAR2                   VARCHAR2(600),
    ATTRIBUTE_CHAR3                   VARCHAR2(600),
    ATTRIBUTE_CHAR4                   VARCHAR2(600),
    ATTRIBUTE_CHAR5                   VARCHAR2(600),
    ATTRIBUTE_CHAR6                   VARCHAR2(600),
    ATTRIBUTE_CHAR7                   VARCHAR2(600),
    ATTRIBUTE_CHAR8                   VARCHAR2(600),
    ATTRIBUTE_CHAR9                   VARCHAR2(600),
    ATTRIBUTE_CHAR10                  VARCHAR2(600),
    ATTRIBUTE_CHAR11                  VARCHAR2(600),
    ATTRIBUTE_CHAR12                  VARCHAR2(600),
    ATTRIBUTE_CHAR13                  VARCHAR2(600),
    ATTRIBUTE_CHAR14                  VARCHAR2(600),
    ATTRIBUTE_CHAR15                  VARCHAR2(600),
    ATTRIBUTE_NUMBER1                 NUMBER       ,
    ATTRIBUTE_NUMBER2                 NUMBER       ,
    ATTRIBUTE_NUMBER3                 NUMBER       ,
    ATTRIBUTE_NUMBER4                 NUMBER       ,
    ATTRIBUTE_NUMBER5                 NUMBER       ,
    ATTRIBUTE_DATE1                   DATE         ,
    ATTRIBUTE_DATE2                   DATE         ,
    ATTRIBUTE_DATE3                   DATE         ,
    ATTRIBUTE_DATE4                   DATE         ,
    ATTRIBUTE_DATE5                   DATE         ,
    SYSTEM_OPTION_ID                  NUMBER(18, 0),
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    ORG_ID                            NUMBER(18, 0)    NOT NULL,
    LEDGER_ID                         NUMBER(18, 0)    NOT NULL,
    PRIMARY_REGIME_CODE               VARCHAR2(120)    NOT NULL,
    SECONDARY_REGIME_CODE             VARCHAR2(120),
    CALENDAR_ID                       NUMBER(18, 0),
    DEFAULT_CURRENCY_CONV_TYPE        VARCHAR2(120),
    INTEREST_METHOD_CODE              VARCHAR2(120)    NOT NULL,
    AMORTIZATION_FREQUENCY_CODE       VARCHAR2(120),
    INVENTORY_MASTER_ORG_ID           NUMBER(18, 0),
    AUTO_LEASE_NUMBER_FLAG            VARCHAR2(4)      NOT NULL,
    AUTO_ASSET_NUMBER_FLAG            VARCHAR2(4)  ,
    AUTO_PAYMENT_TERM_NUMBER_FLAG     VARCHAR2(4)  ,
    AUTO_OPTION_NUMBER_FLAG           VARCHAR2(4)  ,
    CONSOLIDATE_ADJ_ITEMS_FLAG        VARCHAR2(4)  ,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    ATTRIBUTE_CATEGORY                VARCHAR2(120),
    ATTRIBUTE_CHAR1                   VARCHAR2(600),
    ATTRIBUTE_CHAR2                   VARCHAR2(600),
    ATTRIBUTE_CHAR3                   VARCHAR2(600),
    ATTRIBUTE_CHAR4                   VARCHAR2(600),
    ATTRIBUTE_CHAR5                   VARCHAR2(600),
    ATTRIBUTE_CHAR6                   VARCHAR2(600),
    ATTRIBUTE_CHAR7                   VARCHAR2(600),
    ATTRIBUTE_CHAR8                   VARCHAR2(600),
    ATTRIBUTE_CHAR9                   VARCHAR2(600),
    ATTRIBUTE_CHAR10                  VARCHAR2(600),
    ATTRIBUTE_CHAR11                  VARCHAR2(600),
    ATTRIBUTE_CHAR12                  VARCHAR2(600),
    ATTRIBUTE_CHAR13                  VARCHAR2(600),
    ATTRIBUTE_CHAR14                  VARCHAR2(600),
    ATTRIBUTE_CHAR15                  VARCHAR2(600),
    ATTRIBUTE_NUMBER1                 NUMBER       ,
    ATTRIBUTE_NUMBER2                 NUMBER       ,
    ATTRIBUTE_NUMBER3                 NUMBER       ,
    ATTRIBUTE_NUMBER4                 NUMBER       ,
    ATTRIBUTE_NUMBER5                 NUMBER       ,
    ATTRIBUTE_DATE1                   DATE         ,
    ATTRIBUTE_DATE2                   DATE         ,
    ATTRIBUTE_DATE3                   DATE         ,
    ATTRIBUTE_DATE4                   DATE         ,
    ATTRIBUTE_DATE5                   DATE         ,
    SECONDARY_LEDGER_ID               NUMBER(18, 0),
    AP_INTEGRATION_ENABLED_FLAG       VARCHAR2(4)  ,
    LEASE_TRX_APPROVAL_FLAG           VARCHAR2(4)  ,
    LEASE_IMPORT_APPROVAL_CODE        VARCHAR2(120),
    ALLOW_PROPERTY_DEFINITION_FLAG    VARCHAR2(4)  ,
    LIABILITY_RECLASS_FLAG            VARCHAR2(4)  ,
    LIABILITY_RECLASS_FROM_DATE       DATE         ,
    ENABLE_REVENUE_LEASES_FLAG        VARCHAR2(4)  ,
    ENABLE_OPTIONS_REV_AMORT_FLAG     VARCHAR2(4)  ,
    AR_INTEGRATION_ENABLED_FLAG       VARCHAR2(4)  ,
    ENABLE_EXP_PROPERTY_VAL_CODE      VARCHAR2(120)    NOT NULL,
    ENABLE_REV_PROPERTY_VAL_CODE      VARCHAR2(120)    NOT NULL,
    PRIM_PROP_SCOPE_CHANGE_CODE       VARCHAR2(120),
    SECD_PROP_SCOPE_CHANGE_CODE       VARCHAR2(120),
    PRIM_EQUIP_SCOPE_CHANGE_CODE      VARCHAR2(120),
    SECD_EQUIP_SCOPE_CHANGE_CODE      VARCHAR2(120),
    LIABILITY_RECLASS_METHOD_CODE     VARCHAR2(120),
    REQUIRE_PROPERTY_DEFN_CODE        VARCHAR2(120)    NOT NULL,
    TAX_CLASSIFICATION_CODE           VARCHAR2(120),
    PRIMARY_INTENDED_USE_CODE         VARCHAR2(120),
    PRODUCT_CATEGORY                  VARCHAR2(960),
    PRODUCT_FISCAL_CLASSIFICATION     VARCHAR2(960),
    PRODUCT_TYPE                      VARCHAR2(960),
    TRX_BUSINESS_CATEGORY             VARCHAR2(960),
    USER_DEFINED_FISCAL_CLASS         VARCHAR2(960),
    WITHHOLDING_TAX_GROUP_ID          NUMBER(18, 0),
    DOCUMENT_SUB_TYPE                 VARCHAR2(960),
    FIRST_PTY_REG_ID                  NUMBER(18, 0),
    THIRD_PTY_REG_ID                  NUMBER(18, 0),
    TAX_INCLUDED_FLAG                 VARCHAR2(4)  ,
    UPFRONT_TAX_APPLICABLE_FLAG       VARCHAR2(4)  ,
    ENABLE_SUBLEASES_FLAG             VARCHAR2(4)  ,
    ARREARS_PAY_DT_TREATMENT_CODE     VARCHAR2(120),
    FA_INTEGRATION_REVENUE_CODE       VARCHAR2(120),
    FA_INTEGRATION_EXPENSE_CODE       VARCHAR2(120),
    AP_INTEGRATION_REVENUE_CODE       VARCHAR2(120),
    REVENUE_INV_MASTER_ORG_ID         NUMBER(18, 0),
    PRIMARY_ROU_CURR_CONV_CODE        VARCHAR2(120)    NOT NULL,
    SECONDARY_ROU_CURR_CONV_CODE      VARCHAR2(120)    NOT NULL,
    SECONDARY_OVERRIDE_CALENDAR_ID    NUMBER(18, 0),
    CONSTRAINT pk_fla_system_options_all PRIMARY KEY (SYSTEM_OPTION_ID, SYSTEM_OPTION_ID)
);
